[ubuntu/oneiric] strongswan 4.5.2-1.1 (Accepted)

Laurent Bigonville bigon at ubuntu.com
Thu Jul 7 23:59:19 UTC 2011


strongswan (4.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/strongswan-starter.ipsec.init: Init script should depends on
    remote_fs instead of local_fs, also provide ipsec instead of vpn as
    the other ipsec implementations (Closes: #629675)
  * debian/patches/0001-fix-fprintf-format.patch: Fix FTBFS with gcc 4.6,
    taken from upstream (Closes: #614486)
  * debian/control: Tighten dependency version against libstrongswan
    (Closes: #626170)
  * debian/strongswan-starter.lintian-overrides, debian/rules:
    Correctly set restricted permissions on /etc/ipsec.d/private/
    and /var/lib/strongswan (Closes: #598827)

strongswan (4.5.2-1) unstable; urgency=low

  * New upstream version 4.5.2. This removes a lot of old manpages that were
    not properly updated since freeswan.
    Closes: #616482: strongswan-ikev1: virtual ips not released if xauth name 
                     does not match id
    Closes: #626169: strongswan: ipsec tunnels fail because charon segfaults
    Closes: #625228: strongswan-starter: left-/rightnexthop options are broken
    Closes: #614105: strongswan-ikev2: charon continually respawns
  * Fix typo in debian/rules that precluded --enable-nm from being passed to
    configure (LP: #771778).
    Closes: #627775: strongswan-nm package is missing nm module
  * Make sure to install all newly added plugins (and generally files created
    by make install) by calling dh_install with --fail-missing. Install some
    newly enabled crypto plugins in the libstrongswan package.
    Closes: #627783: Please disable modules that are not installed in package 
                     at build time

strongswan (4.5.1-1) unstable; urgency=low

  * New upstream version

Date: Thu,  07 Jul 2011 23:45:56 +0000
Changed-By: Laurent Bigonville <bigon at ubuntu.com>
Maintainer: Rene Mayrhofer <rmayr at debian.org>
Origin: Debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/strongswan/4.5.2-1.1
-------------- next part --------------
Origin: Debian/unstable
Format: 1.7
Date: Thu,  07 Jul 2011 23:45:56 +0000
Source: strongswan
Binary: strongswan, libstrongswan, strongswan-dbg, strongswan-starter, strongswan-ikev1, strongswan-ikev2, strongswan-nm
Architecture: source
Version: 4.5.2-1.1
Distribution: oneiric
Urgency: low
Maintainer: Rene Mayrhofer <rmayr at debian.org>
Changed-By: Laurent Bigonville <bigon at ubuntu.com>
Description:
 strongswan - IPsec VPN solution metapackage
Closes: 598827 614105 614486 616482 625228 626169 626170 627775 627783 629675
Launchpad-bugs-fixed: 771778
Files:
 699d630b7e169151a94673ab309a052c 1968 net optional strongswan_4.5.2-1.1.dsc
 bc498d475c325d016c5dc3e7a0edf0c5 138470 net optional strongswan_4.5.2-1.1.debian.tar.gz
 540544397e060b497c7a1d5c9f3f4d10 4632921 net optional strongswan_4.5.2.orig.tar.gz
Changes:
 strongswan (4.5.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/strongswan-starter.ipsec.init: Init script should depends on
     remote_fs instead of local_fs, also provide ipsec instead of vpn as
     the other ipsec implementations (Closes: #629675)
   * debian/patches/0001-fix-fprintf-format.patch: Fix FTBFS with gcc 4.6,
     taken from upstream (Closes: #614486)
   * debian/control: Tighten dependency version against libstrongswan
     (Closes: #626170)
   * debian/strongswan-starter.lintian-overrides, debian/rules:
     Correctly set restricted permissions on /etc/ipsec.d/private/
     and /var/lib/strongswan (Closes: #598827)
 .
 strongswan (4.5.2-1) unstable; urgency=low
 .
   * New upstream version 4.5.2. This removes a lot of old manpages that were
     not properly updated since freeswan.
     Closes: #616482: strongswan-ikev1: virtual ips not released if xauth name 
                      does not match id
     Closes: #626169: strongswan: ipsec tunnels fail because charon segfaults
     Closes: #625228: strongswan-starter: left-/rightnexthop options are broken
     Closes: #614105: strongswan-ikev2: charon continually respawns
   * Fix typo in debian/rules that precluded --enable-nm from being passed to
     configure (LP: #771778).
     Closes: #627775: strongswan-nm package is missing nm module
   * Make sure to install all newly added plugins (and generally files created
     by make install) by calling dh_install with --fail-missing. Install some
     newly enabled crypto plugins in the libstrongswan package.
     Closes: #627783: Please disable modules that are not installed in package 
                      at build time
 .
 strongswan (4.5.1-1) unstable; urgency=low
 .
   * New upstream version



More information about the Oneiric-changes mailing list